/*===========================================================================*/
/*   (BackEnd/c-init.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent BackEnd/c-init.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzbackend_c_initz00();
extern obj_t BGl_za2modulezd2checksumza2zd2zzmodule_modulez00;
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_globalz00_bglt BGl_makezd2modulezd2initz00zzbackend_c_initz00();
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
static obj_t BGl_za2modulezd2initza2zd2zzbackend_c_initz00 = BUNSPEC;
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzbackend_c_initz00();
BGL_EXPORTED_DECL obj_t BGl_getzd2modulezd2initz00zzbackend_c_initz00();
static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_initz00();
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_setzd2variablezd2namez12z12zzbackend_c_prototypez00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzbackend_c_initz00();
extern obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_c_initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern BgL_globalz00_bglt BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2longza2z00zztype_cachez00;
extern obj_t BGl_za2heapzd2debugza2zd2zzengine_paramz00;
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern obj_t BGl_za2stringza2z00zztype_cachez00;
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
static obj_t BGl__getzd2modulezd2initz00zzbackend_c_initz00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_initz00 = BUNSPEC;
extern obj_t BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt, BgL_globalz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_initz00();
extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
static obj_t __cnst[ 19 ] ;


DEFINE_STRING( BGl_string3193z00zzbackend_c_initz00, BgL_bgl_string3193za700za7za7backend_c_initza7003219z00, "export module-initialization sfun (checksum from) value from module-init-error checksum bit-and =fx pragma (pragma \"bdb_set_lock()\") set! begin require-initialization if now module-initalization require-initialization::obj ", 223 );
DEFINE_STRING( BGl_string3192z00zzbackend_c_initz00, BgL_bgl_string3192za700za7za7backend_c_initza7003220z00, "\")", 2 );
DEFINE_STRING( BGl_string3191z00zzbackend_c_initz00, BgL_bgl_string3191za700za7za7backend_c_initza7003221z00, "puts(\"*** Init module: ", 23 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2modulezd2initzd2envzd2zzbackend_c_initz00, BgL_bgl__getza7d2moduleza7d2initza700za7za7backend_c_initza7003222z00, BGl__getzd2modulezd2initz00zzbackend_c_initz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_c_initz00(long BgL_checksumz00_1129, char * BgL_fromz00_1130)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_initz00))
{ 
BGl_requirezd2initializa7ationz75zzbackend_c_initz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzbackend_c_initz00(); 
BGl_cnstzd2initzd2zzbackend_c_initz00(); 
BGl_importedzd2moduleszd2initz00zzbackend_c_initz00(); 
BGl_toplevelzd2initzd2zzbackend_c_initz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_initz00()
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "backend_c_init"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbackend_c_initz00()
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 15 */
{ /* ./BackEnd/c-init.scm 15 */
obj_t BgL_cportz00_1122;
BgL_cportz00_1122 = 
open_input_string(BGl_string3193z00zzbackend_c_initz00); 
{ 
long BgL_iz00_1123;
BgL_iz00_1123 = ((long)18); 
BgL_loopz00_1124:
{ /* ./BackEnd/c-init.scm 15 */
bool_t BgL_test3195z00_1125;
BgL_test3195z00_1125 = 
(BgL_iz00_1123==((long)-1)); 
if(BgL_test3195z00_1125)
{ /* ./BackEnd/c-init.scm 15 */
return BUNSPEC;}  else 
{ /* ./BackEnd/c-init.scm 15 */
{ /* ./BackEnd/c-init.scm 15 */
obj_t BgL_arg3197z00_1126;
{ /* ./BackEnd/c-init.scm 15 */
obj_t BgL_list3200z00_1127;
BgL_list3200z00_1127 = 
MAKE_PAIR(BgL_cportz00_1122, BNIL); 
BgL_arg3197z00_1126 = 
BGl_readz00zz__readerz00(BgL_list3200z00_1127); } 
{ /* ./BackEnd/c-init.scm 15 */
int BgL_auxz00_1145;
BgL_auxz00_1145 = 
(int)(BgL_iz00_1123); 
CNST_TABLE_SET(BgL_auxz00_1145, BgL_arg3197z00_1126); } } 
{ /* ./BackEnd/c-init.scm 15 */
int BgL_auxz00_1128;
{ /* ./BackEnd/c-init.scm 15 */
long BgL_auxz00_1148;
BgL_auxz00_1148 = 
(BgL_iz00_1123-((long)1)); 
BgL_auxz00_1128 = 
(int)(BgL_auxz00_1148); } 
{ 
long BgL_iz00_1151;
BgL_iz00_1151 = 
(long)(BgL_auxz00_1128); 
BgL_iz00_1123 = BgL_iz00_1151; 
goto BgL_loopz00_1124;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzbackend_c_initz00()
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 15 */
return ( 
BGl_za2modulezd2initza2zd2zzbackend_c_initz00 = BUNSPEC, BUNSPEC) ;} 
}



/* get-module-init */
BGL_EXPORTED_DEF obj_t BGl_getzd2modulezd2initz00zzbackend_c_initz00()
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 41 */
{ /* ./BackEnd/c-init.scm 42 */
bool_t BgL_test2680z00_668;
BgL_test2680z00_668 = 
(BGl_za2modulezd2initza2zd2zzbackend_c_initz00==BUNSPEC); 
if(BgL_test2680z00_668)
{ /* ./BackEnd/c-init.scm 43 */
BgL_globalz00_bglt BgL_auxz00_1155;
BgL_auxz00_1155 = 
BGl_makezd2modulezd2initz00zzbackend_c_initz00(); 
BGl_za2modulezd2initza2zd2zzbackend_c_initz00 = 
(obj_t)(BgL_auxz00_1155); }  else 
{ /* ./BackEnd/c-init.scm 42 */BFALSE; } } 
return BGl_za2modulezd2initza2zd2zzbackend_c_initz00;} 
}



/* _get-module-init */
obj_t BGl__getzd2modulezd2initz00zzbackend_c_initz00(obj_t BgL_envz00_1121)
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 41 */
return 
BGl_getzd2modulezd2initz00zzbackend_c_initz00();} 
}



/* make-module-init */
BgL_globalz00_bglt BGl_makezd2modulezd2initz00zzbackend_c_initz00()
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 49 */
{ /* ./BackEnd/c-init.scm 50 */
BgL_globalz00_bglt BgL_reqz00_669;
BgL_reqz00_669 = 
BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(
CNST_TABLE_REF(((long)0)), BGl_za2moduleza2z00zzmodule_modulez00, 
CNST_TABLE_REF(((long)1)), 
CNST_TABLE_REF(((long)2))); 
{ /* ./BackEnd/c-init.scm 50 */
obj_t BgL_ubodyz00_670;
{ /* ./BackEnd/c-init.scm 54 */
obj_t BgL_arg2762z00_712;obj_t BgL_arg2763z00_713;
BgL_arg2762z00_712 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./BackEnd/c-init.scm 54 */
obj_t BgL_arg2766z00_714;obj_t BgL_arg2767z00_715;
BgL_arg2766z00_714 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./BackEnd/c-init.scm 55 */
obj_t BgL_arg2770z00_716;obj_t BgL_arg2771z00_717;
{ /* ./BackEnd/c-init.scm 55 */
obj_t BgL_arg2774z00_718;obj_t BgL_arg2775z00_719;
BgL_arg2774z00_718 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./BackEnd/c-init.scm 56 */
obj_t BgL_arg2778z00_720;obj_t BgL_arg2779z00_721;
{ /* ./BackEnd/c-init.scm 56 */
obj_t BgL_arg2782z00_722;obj_t BgL_arg2783z00_723;
BgL_arg2782z00_722 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./BackEnd/c-init.scm 56 */
obj_t BgL_arg2786z00_724;obj_t BgL_arg2787z00_725;
BgL_arg2786z00_724 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2787z00_725 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2783z00_723 = 
MAKE_PAIR(BgL_arg2786z00_724, BgL_arg2787z00_725); } 
BgL_arg2778z00_720 = 
MAKE_PAIR(BgL_arg2782z00_722, BgL_arg2783z00_723); } 
{ /* ./BackEnd/c-init.scm 57 */
obj_t BgL_arg2791z00_726;obj_t BgL_arg2792z00_727;
{ /* ./BackEnd/c-init.scm 57 */
bool_t BgL_test2794z00_728;
{ /* ./BackEnd/c-init.scm 57 */
long BgL_n1z00_1107;
BgL_n1z00_1107 = 
(long)CINT(BGl_za2heapzd2debugza2zd2zzengine_paramz00); 
BgL_test2794z00_728 = 
(BgL_n1z00_1107>=((long)1)); } 
if(BgL_test2794z00_728)
{ /* ./BackEnd/c-init.scm 57 */
BgL_arg2791z00_726 = 
CNST_TABLE_REF(((long)7)); }  else 
{ /* ./BackEnd/c-init.scm 57 */
BgL_arg2791z00_726 = BUNSPEC; } } 
{ /* ./BackEnd/c-init.scm 64 */
obj_t BgL_arg2797z00_729;obj_t BgL_arg2798z00_730;
{ /* ./BackEnd/c-init.scm 64 */
bool_t BgL_test2800z00_731;
{ /* ./BackEnd/c-init.scm 64 */
long BgL_n1z00_1109;
BgL_n1z00_1109 = 
(long)CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00); 
BgL_test2800z00_731 = 
(BgL_n1z00_1109>((long)0)); } 
if(BgL_test2800z00_731)
{ /* ./BackEnd/c-init.scm 65 */
obj_t BgL_arg2802z00_732;
{ /* ./BackEnd/c-init.scm 65 */
obj_t BgL_arg2806z00_734;obj_t BgL_arg2807z00_735;
BgL_arg2806z00_734 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./BackEnd/c-init.scm 66 */
obj_t BgL_arg2810z00_736;
{ /* ./BackEnd/c-init.scm 66 */
obj_t BgL_arg2815z00_739;
{ /* ./BackEnd/c-init.scm 67 */
obj_t BgL_symbolz00_1111;
BgL_symbolz00_1111 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg2815z00_739 = 
SYMBOL_TO_STRING(BgL_symbolz00_1111); } 
BgL_arg2810z00_736 = 
string_append_3(BGl_string3191z00zzbackend_c_initz00, BgL_arg2815z00_739, BGl_string3192z00zzbackend_c_initz00); } 
BgL_arg2807z00_735 = 
MAKE_PAIR(BgL_arg2810z00_736, BNIL); } 
BgL_arg2802z00_732 = 
MAKE_PAIR(BgL_arg2806z00_734, BgL_arg2807z00_735); } 
BgL_arg2797z00_729 = 
MAKE_PAIR(BgL_arg2802z00_732, BNIL); }  else 
{ /* ./BackEnd/c-init.scm 64 */
BgL_arg2797z00_729 = BNIL; } } 
{ /* ./BackEnd/c-init.scm 70 */
obj_t BgL_arg2821z00_741;obj_t BgL_arg2822z00_742;
BgL_arg2821z00_741 = 
BGl_unitzd2initzd2callsz00zzast_unitz00(); 
BgL_arg2822z00_742 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg2798z00_730 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2821z00_741, BgL_arg2822z00_742); } 
BgL_arg2792z00_727 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2797z00_729, BgL_arg2798z00_730); } 
BgL_arg2779z00_721 = 
MAKE_PAIR(BgL_arg2791z00_726, BgL_arg2792z00_727); } 
BgL_arg2775z00_719 = 
MAKE_PAIR(BgL_arg2778z00_720, BgL_arg2779z00_721); } 
BgL_arg2770z00_716 = 
MAKE_PAIR(BgL_arg2774z00_718, BgL_arg2775z00_719); } 
BgL_arg2771z00_717 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg2767z00_715 = 
MAKE_PAIR(BgL_arg2770z00_716, BgL_arg2771z00_717); } 
BgL_arg2763z00_713 = 
MAKE_PAIR(BgL_arg2766z00_714, BgL_arg2767z00_715); } 
BgL_ubodyz00_670 = 
MAKE_PAIR(BgL_arg2762z00_712, BgL_arg2763z00_713); } 
{ /* ./BackEnd/c-init.scm 54 */
obj_t BgL_bodyz00_671;
if(
CBOOL(BGl_za2unsafezd2versionza2zd2zzengine_paramz00))
{ /* ./BackEnd/c-init.scm 73 */
BgL_bodyz00_671 = BgL_ubodyz00_670; }  else 
{ /* ./BackEnd/c-init.scm 77 */
obj_t BgL_arg2719z00_693;obj_t BgL_arg2720z00_694;
BgL_arg2719z00_693 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./BackEnd/c-init.scm 75 */
obj_t BgL_arg2723z00_695;obj_t BgL_arg2724z00_696;
{ /* ./BackEnd/c-init.scm 75 */
obj_t BgL_arg2727z00_697;obj_t BgL_arg2728z00_698;
BgL_arg2727z00_697 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./BackEnd/c-init.scm 75 */
obj_t BgL_arg2731z00_699;obj_t BgL_arg2732z00_700;
{ /* ./BackEnd/c-init.scm 75 */
obj_t BgL_arg2735z00_701;obj_t BgL_arg2736z00_702;
BgL_arg2735z00_701 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./BackEnd/c-init.scm 75 */
obj_t BgL_arg2739z00_703;obj_t BgL_arg2740z00_704;
BgL_arg2739z00_703 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2740z00_704 = 
MAKE_PAIR(BGl_za2modulezd2checksumza2zd2zzmodule_modulez00, BNIL); 
BgL_arg2736z00_702 = 
MAKE_PAIR(BgL_arg2739z00_703, BgL_arg2740z00_704); } 
BgL_arg2731z00_699 = 
MAKE_PAIR(BgL_arg2735z00_701, BgL_arg2736z00_702); } 
{ /* ./BackEnd/c-init.scm 75 */
obj_t BgL_auxz00_1204;
BgL_auxz00_1204 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2732z00_700 = 
MAKE_PAIR(BgL_auxz00_1204, BNIL); } 
BgL_arg2728z00_698 = 
MAKE_PAIR(BgL_arg2731z00_699, BgL_arg2732z00_700); } 
BgL_arg2723z00_695 = 
MAKE_PAIR(BgL_arg2727z00_697, BgL_arg2728z00_698); } 
{ /* ./BackEnd/c-init.scm 77 */
obj_t BgL_arg2745z00_705;
{ /* ./BackEnd/c-init.scm 77 */
obj_t BgL_arg2748z00_706;
{ /* ./BackEnd/c-init.scm 77 */
obj_t BgL_arg2752z00_708;obj_t BgL_arg2753z00_709;
BgL_arg2752z00_708 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./BackEnd/c-init.scm 77 */
obj_t BgL_arg2756z00_710;obj_t BgL_arg2757z00_711;
{ /* ./BackEnd/c-init.scm 77 */
obj_t BgL_symbolz00_1112;
BgL_symbolz00_1112 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg2756z00_710 = 
SYMBOL_TO_STRING(BgL_symbolz00_1112); } 
{ /* ./BackEnd/c-init.scm 77 */
obj_t BgL_auxz00_1211;
BgL_auxz00_1211 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2757z00_711 = 
MAKE_PAIR(BgL_auxz00_1211, BNIL); } 
BgL_arg2753z00_709 = 
MAKE_PAIR(BgL_arg2756z00_710, BgL_arg2757z00_711); } 
BgL_arg2748z00_706 = 
MAKE_PAIR(BgL_arg2752z00_708, BgL_arg2753z00_709); } 
BgL_arg2745z00_705 = 
MAKE_PAIR(BgL_arg2748z00_706, BNIL); } 
BgL_arg2724z00_696 = 
MAKE_PAIR(BgL_ubodyz00_670, BgL_arg2745z00_705); } 
BgL_arg2720z00_694 = 
MAKE_PAIR(BgL_arg2723z00_695, BgL_arg2724z00_696); } 
BgL_bodyz00_671 = 
MAKE_PAIR(BgL_arg2719z00_693, BgL_arg2720z00_694); } 
{ /* ./BackEnd/c-init.scm 73 */
BgL_localz00_bglt BgL_cvarz00_672;
BgL_cvarz00_672 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)11)), 
(BgL_typez00_bglt)(BGl_za2longza2z00zztype_cachez00)); 
{ /* ./BackEnd/c-init.scm 78 */
BgL_localz00_bglt BgL_nvarz00_673;
BgL_nvarz00_673 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)13)), 
(BgL_typez00_bglt)(BGl_za2stringza2z00zztype_cachez00)); 
{ /* ./BackEnd/c-init.scm 79 */
BgL_nodez00_bglt BgL_nodez00_674;
{ /* ./BackEnd/c-init.scm 80 */
obj_t BgL__z00_684;obj_t BgL_unsafezd2typezd2_685;
BgL__z00_684 = BGl_za2_za2z00zztype_cachez00; 
BgL_unsafezd2typezd2_685 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2_za2z00zztype_cachez00 = BGl_za2objza2z00zztype_cachez00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* ./BackEnd/c-init.scm 84 */
BgL_nodez00_bglt BgL_nodez00_686;
{ /* ./BackEnd/c-init.scm 85 */
BgL_nodez00_bglt BgL_arg2703z00_687;
{ /* ./BackEnd/c-init.scm 85 */
obj_t BgL_arg2706z00_688;obj_t BgL_arg2708z00_690;
{ /* ./BackEnd/c-init.scm 85 */
obj_t BgL_list2711z00_691;
{ /* ./BackEnd/c-init.scm 85 */
obj_t BgL_arg2713z00_692;
{ /* ./BackEnd/c-init.scm 85 */
obj_t BgL_auxz00_1226;
BgL_auxz00_1226 = 
(obj_t)(BgL_nvarz00_673); 
BgL_arg2713z00_692 = 
MAKE_PAIR(BgL_auxz00_1226, BNIL); } 
{ /* ./BackEnd/c-init.scm 85 */
obj_t BgL_auxz00_1229;
BgL_auxz00_1229 = 
(obj_t)(BgL_cvarz00_672); 
BgL_list2711z00_691 = 
MAKE_PAIR(BgL_auxz00_1229, BgL_arg2713z00_692); } } 
BgL_arg2706z00_688 = BgL_list2711z00_691; } 
BgL_arg2708z00_690 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2703z00_687 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_671, BgL_arg2706z00_688, BNIL, BgL_arg2708z00_690); } 
BgL_nodez00_686 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_arg2703z00_687, 
(obj_t)(BgL_reqz00_669), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
BGl_za2_za2z00zztype_cachez00 = BgL__z00_684; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_unsafezd2typezd2_685; 
BgL_nodez00_674 = BgL_nodez00_686; } } 
{ /* ./BackEnd/c-init.scm 80 */
BgL_globalz00_bglt BgL_initz00_675;
{ /* ./BackEnd/c-init.scm 94 */
obj_t BgL_arg2688z00_676;obj_t BgL_arg2689z00_677;obj_t BgL_arg2690z00_678;obj_t BgL_arg2691z00_679;obj_t BgL_arg2692z00_680;obj_t BgL_arg2693z00_681;
BgL_arg2688z00_676 = 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BGl_za2moduleza2z00zzmodule_modulez00); 
BgL_arg2689z00_677 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./BackEnd/c-init.scm 96 */
obj_t BgL_list2697z00_682;
{ /* ./BackEnd/c-init.scm 96 */
obj_t BgL_arg2699z00_683;
{ /* ./BackEnd/c-init.scm 96 */
obj_t BgL_auxz00_1239;
BgL_auxz00_1239 = 
(obj_t)(BgL_nvarz00_673); 
BgL_arg2699z00_683 = 
MAKE_PAIR(BgL_auxz00_1239, BNIL); } 
{ /* ./BackEnd/c-init.scm 96 */
obj_t BgL_auxz00_1242;
BgL_auxz00_1242 = 
(obj_t)(BgL_cvarz00_672); 
BgL_list2697z00_682 = 
MAKE_PAIR(BgL_auxz00_1242, BgL_arg2699z00_683); } } 
BgL_arg2690z00_678 = BgL_list2697z00_682; } 
BgL_arg2691z00_679 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg2692z00_680 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg2693z00_681 = 
CNST_TABLE_REF(((long)2)); 
BgL_initz00_675 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_arg2688z00_676, BgL_arg2689z00_677, BgL_arg2690z00_678, BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg2691z00_679, BgL_arg2692z00_680, BgL_arg2693z00_681, 
(obj_t)(BgL_nodez00_674)); } 
{ /* ./BackEnd/c-init.scm 93 */

BGl_setzd2variablezd2namez12z12zzbackend_c_prototypez00(
(obj_t)(BgL_reqz00_669)); 
{ /* ./BackEnd/c-init.scm 103 */
BgL_globalz00_bglt BgL_obj1191z00_1117;obj_t BgL_val1190z00_1118;
BgL_obj1191z00_1117 = BgL_initz00_675; 
BgL_val1190z00_1118 = 
CNST_TABLE_REF(((long)18)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1191z00_1117))->BgL_importz00) = ((obj_t)BgL_val1190z00_1118), BUNSPEC); } 
{ /* ./BackEnd/c-init.scm 104 */
BgL_variablez00_bglt BgL_obj1119z00_1119;BgL_typez00_bglt BgL_val1118z00_1120;
BgL_obj1119z00_1119 = 
(BgL_variablez00_bglt)(BgL_initz00_675); 
BgL_val1118z00_1120 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_obj1119z00_1119))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1118z00_1120), BUNSPEC); } 
BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_674, BgL_initz00_675); 
return BgL_initz00_675;} } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzbackend_c_initz00()
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_initz00()
{ AN_OBJECT;
{ /* ./BackEnd/c-init.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)28959), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)4795), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47192), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzast_occurz00(((long)28605), "backend_c_init"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56611), "backend_c_init"); 
return 
BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)34740), "backend_c_init");} 
}

